Bug 1467709 - When provisioning a new host, the compute profile settings are not honoured.
When provisioning a new host, the compute profile settings are not honoured.
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare (Show other bugs)
6.2.10
All Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 13:37 EDT by Varatharaja Perumal G
Modified: 2018-05-01 01:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 2113 None None None 2018-02-23 08:18 EST

  None (edit)
Description Varatharaja Perumal G 2017-07-04 13:37:44 EDT
Description of problem:

When provisioning a new host we use a host group associated with compute profile. After submitting it fail to use the correct image template provided in the UI and give below error. 

"Failed to create a compute VMware (VMware) instance host.example.local: CannotAccessVmConfig: Unable to access the virtual machine configuration: Unable to access file [SAN] "

We found out that this error is due to the image being in the wrong cluster. That means that Satellite changes the selected image under "Operating System" after clicking "Submit". It switches back to a different Image.

Provisioning works when we manually fill the host details/when we change the image manually after it fails.

So, the "Image" and "Network" settings from the Compute profile settings do not work when provisioning a new host.


Version-Release number of selected component (if applicable):
Satellite 6.2.9

How reproducible:

Only reproducible in customer end.

Actual results:

Provision fails to use the correct image associated with the compute profile.

Expected results:

Should be able to provision the host using the image associated with compute profile.

Additional info:

debug logs are attached in case.
Comment 4 Marek Hulan 2017-07-13 06:43:05 EDT
Varatharaja, if the configuration is used from a different compute profile then it's likely the same cause and this BZ can be used.
Comment 6 Daniel Lobato Garcia 2018-02-23 08:17:26 EST
This is being fixed upstream.

https://github.com/theforeman/foreman/pull/3559
Comment 7 Daniel Lobato Garcia 2018-02-23 08:18:20 EST
Connecting redmine issue http://projects.theforeman.org/issues/2113 from this bug

Note You need to log in before you can comment on or make changes to this bug.